Subject: Re: MPC8245 custom board, Linux 2.4 kernel hangs after uncompressing

From: Eugene Surovegin <[email-masked]>
Date: Thu, 21 Apr 2005 00:46:53 -0700

On Thu, Apr 21, 2005 at 03:19:10PM +0800, Sam Song wrote:
> Interesting to me as well. I also have such a similar
> problem. But I wanna to know how I can return to 
> u-boot with software workaround after kernel hanging.
> At least, I must power-off and power-on my target to
> get back to u-boot console. If so, the last kernel 
> printk message would lost IMHO.

Easy, use BDI (or any other hw debugger) and reset target when it 
hangs.

-- 
Eugene